from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker


class Database:
    def __init__(self, db_url):
        self.engine = create_engine(db_url)
        self.Session = sessionmaker(bind=self.engine)
        self.session = self.Session()


    def create_all(self, base_model):
        base_model.metadata.create_all(self.engine)


    def drop_all(self, base_model):
        base_model.metadata.drop_all(self.engine)